Get Quote Configs

Retrieves settings configurations related to storefront quotes from your store's General, Quotes, and Email settings, as well as built-in settings. This endpoint can be called without a Bearer token, as it returns information that can apply to guest shoppers. **Note:** The `storeHash` parameter must be included to return the store's configurations. If omitted, the response will be successful, but it will not contain any data. Equivalent Storefront GraphQL API Query: `quoteConfig`. ### Available Configs Quote configs appear in the response as key-value pairs. See the table to learn more about the setting that corresponds to each config key. | Config Key | Description | | --- | --- | | quote_reminder_notification | Indicates whether the Quote reminder template for buyers is enabled in the store's Email settings | | quote_customer | Indicates whether quotes are enabled in the Feature management area of the store's General settings | | quote_on_product_page | Indicates whether the product page Add to quote button is enabled in the store's Quotes settings | | quote_on_cart_page | Indicates whether the cart page Add to quote button is enabled in the store's Quotes settings | | quote_for_guest | Indicates whether quote requests are enabled for guest shoppers in the store's Quotes settings | | quote_for_individual_customer | Indicates whether quote requests are enabled for storefront customers in the store's Quotes settings | | quote_for_b2b | Indicates whether quote requests are enabled for Company users in the store's Quotes settings | | quote_sales_rep_visibility | Indicates whether Sales Staff users are restricted to viewing quotes from their assigned Companies. This is enabled by default, and cannot be disabled. | | quote_sales_rep_creation | Indicates whether the built-in Sales Rep system user role is authorized to create quotes in the B2B Edition control panel. This configuration cannot be disabled, but you can create a custom user role for Sales Staff without quote permissions. | | email_quote_for_merchant | Indicates whether the New quote email template for merchants is enabled in the store's Email settings | | quote_logo | The URL for the logo image in the store's General setings, which appears on quote emails and PDFs | | quote_cost_column | Indicates whether the store's Quotes settings are configured to display the product cost column in the line items table while viewing a quote in the B2B Edition control panel | | quote_margin_column | Indicates whether the store's Quotes settings are configured to display the cost margin column in the line items table while viewing a quote in the B2B Edition control panel | | customer_update_quote_message_email_sales_rep | Indicates whether Sales Staff users are notified via email when a buyer from an assigned Company has created a quote. This is configured during initial setup. | | sales_rep_update_quote_message_email_customer | Indicates whether buyers are notified via email when a Sales Staff user has created a quote for them. This is configured during initial setup. | | quote_send_customer_notes_to_order | Indicates whether the store's Quotes settings are configured to transfer customer-facing notes on the quote to the corresponding order by default | | quote_send_product_notes_to_order | Indicates whether the store's Quotes settings are configured to transfer line item-specific notes on the quote to the corresponding order by default | | quote_custom_shipping | Indicates whether custom shipping is enabled in the store's Quotes settings | | quote_default_pdf | The template used by default when buyers download a quote PDF | | defaultExpirationDate | The default number of days before a new quote expires | | defaultTermsAndConditions | The default terms and conditions configured in the store's Quotes settings |

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Query parameters

storeHashstringOptional
The unique alphanumeric store hash for the BigCommerce store.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS